# std::experimental::basic_string_view::size, std::experimental::basic_string_view::length

From cppreference.com
< cpp‎ | experimental‎ | basic string view

constexpr size_type size() const; |  | (library fundamentals TS)
constexpr size_type length() const; |  | (library fundamentals TS)

Returns the number of `CharT` elements in the view, i.e. std::distance(begin(), end()).

### Parameters

(none)

### Return value

The number of `CharT` elements in the view.

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant.

### See also

empty | checks whether the view is empty (public member function)
max_size | returns the maximum number of characters (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/basic_string_view/size&oldid=91607"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template